Package it.ernytech.tdlib

## Class TdApi.SetProxy

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.SetProxy

Enclosing class:
  TdApi

    public static class TdApi.SetProxy
    extends TdApi.Function

Sets the proxy server for network requests. Can be called before authorization.

Returns `Ok`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.Proxy` `proxy` Proxy server to use.

### Constructor Summary

Constructors
`SetProxy()` Default constructor.
`SetProxy​(TdApi.Proxy proxy)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### proxy

    public TdApi.Proxy proxy

Proxy server to use. Specify null to remove the proxy server.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### SetProxy

    public SetProxy()

Default constructor.

#### SetProxy

    public SetProxy​(TdApi.Proxy proxy)

Constructor for initialization of all fields.

Parameters:
  `proxy` - Proxy server to use. Specify null to remove the proxy server.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR